Skip to main content
PUT
Create or update a deployed voice configuration

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required

Body

application/json

A voice and traffic weight to deploy on the project; provide an id to update an existing deployed voice instead of creating a new one.

voiceId
string
required

Voice ID to deploy

probability
number
required

Traffic weight (0.0–1.0)

id
string | null

Deployed voice ID. Omit to create, provide to update

Response

Successful response

A single deployed voice configuration.

id
string
required

Deployed voice ID

genaiProjectId
string
required

Project ID

voiceId
string
required

Voice ID

probability
number
required

Traffic weight

name
string | null

The voice's configured name, as set via 'Add voice'

provider
string | null

TTS provider for this voice

providerVoiceId
string | null

Provider-specific voice ID

config
object | null

Provider-specific tuning config for this voice

Last modified on November 12, 2026